Bug 165509 - Review Request: link-grammar - Addition of link-grammar to FC Extras
Review Request: link-grammar - Addition of link-grammar to FC Extras
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://www.abisource.com/~uwog/link-g...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-09 18:29 EDT by Marc Maurer
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-11 12:40:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Maurer 2005-08-09 18:29:46 EDT
Spec Name or Url:
http://www.abisource.com/~uwog/link-grammar/link-grammar.spec

SRPM Name or Url: 
http://www.abisource.com/~uwog/link-grammar/link-grammar-4.1.3-1.src.rpm

Tarball:
http://www.abisource.com/downloads/link-grammar/4.1.3/link-grammar-4.1.3.tar.gz

Description:
link-grammar is a grammar checking library. The first package to depend on it will  be AbiWord 2.4, which is scheduled for release in about a month.
Comment 1 Aurelien Bompard 2005-08-10 05:00:03 EDT
Why use Epoch ? Since it it the first submission in Fedora, please remove it
(and the %{epoch} in Requires)

Other than that, it seems to build fine and to run fine. Just a few rpmlint gotchas:
W: link-grammar-devel summary-ended-with-dot
E: link-grammar-devel description-line-too-long
Comment 2 Marc Maurer 2005-08-10 10:48:02 EDT
> Why use Epoch?

Bad copy/pasting :) Fixed, the new spec is available under the previously posted
url.

I fixed the rpmlint errors too; the new srpm is available here:

http://www.abisource.com/~uwog/link-grammar/link-grammar-4.1.3-2.src.rpm
Comment 3 Aurelien Bompard 2005-08-10 12:08:13 EDT
One last thing: the package should own the %{_datadir}/link-grammar directory.
Just do :
-%{_datadir}/link-grammar/*
+%{_datadir}/link-grammar
in %files.

Two comments (since you'll rebuild anyway ;)) :
- you can use disttags (if you want, just in case you forgot)
- the buildroot should be set to the standard one in Fedora :
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Comment 4 Marc Maurer 2005-08-10 13:02:11 EDT
Fixed the %{_datadir}/link-grammar and buildroot issues; for devel I genally
don't use disttags. When devel becomes FCE5 I'll add them.

The new spec is available under the previously posted url, and the new SRPM can
be found here:

http://www.abisource.com/~uwog/link-grammar/link-grammar-4.1.3-3.src.rpm

Thanks for the pointers.
Comment 5 Aurelien Bompard 2005-08-11 06:01:22 EDT
Looks good. Approved.
Comment 6 Michael Schwendt 2005-08-11 12:40:06 EDT
[Sorry for the bugzilla spam everyone, but without assigning the tickets, it
doesn't become clear in the FE-* dependency trees who did which reviews.]
Comment 7 Matthias Saou 2005-08-15 12:05:43 EDT
(In reply to comment #3)
> Just do :
> -%{_datadir}/link-grammar/*
> +%{_datadir}/link-grammar
> in %files.

I'd suggest using :
%{_datadir}/link-grammar/
As that way it still makes it clear that it's a directory. It's only cosmetical
and doesn't affect the package in any way, though.
Comment 8 Christian Iseli 2006-10-18 05:07:38 EDT
Normalize summary field for easy parsing

Note You need to log in before you can comment on or make changes to this bug.